Cài đặt các plugin WordPress chưa từng được kiểm tra với phiên bản hiện tại

Nhiều người dùng WordPress không biết liệu họ có nên sử dụng một plugin với cảnh báo rằng nó chưa được thử nghiệm với phiên bản WordPress hiện tại hay không. Đây là một vấn đề quan trọng, vì nó có thể gây ra sự cố trên trang web của bạn, nếu nó không hoạt động với phiên bản WordPress của bạn. Đây là những gì bạn nên biết về việc sử dụng các plugin WordPress chưa được kiểm tra.

Cài đặt các plugin WordPress chưa từng được kiểm tra với phiên bản hiện tại

Thông tin chưa được kiểm tra đến từ đâu?

WordPress cung cấp kho chứa các plugin mã nguồn mở và miễn phí lớn nhất trong Kho chứa Plugin WordPress. Khi tác giả của một plugin gửi nó vào kho lưu trữ, họ phải gửi một tệp “readme”. Tệp này được sử dụng bởi thư mục plugin để tạo trang cho plugin. Nó cũng sẽ bao gồm một thẻ “đã kiểm tra đến”, thẻ này sẽ hiển thị trong thông tin cho thử nghiệm plugin.

Khi WordPress ra mắt phiên bản mới, tác giả plugin phải cập nhật các tệp readme và kiểm tra plugin. Tuy nhiên, không phải tác giả nào cũng làm được điều này. Khi tác giả plugin không kiểm tra plugin của họ với phiên bản mới, thông báo cảnh báo sẽ xuất hiện.

Bạn có nên sử dụng các plugin WordPress chưa được kiểm tra không?

Trong nhiều trường hợp, các plugin có cảnh báo sẽ hoạt động tốt và không gây ra bất kỳ sự cố nào. Bạn có thể thoải mái sử dụng các plugin này, mặc dù tác giả chưa thử nghiệm chúng với phiên bản WordPress mới nhất.

Xem thêm  Sơ đồ trang web XML của Google

Nó luôn đáng để thử ngay cả khi plugin không hoạt động với phiên bản mới nhất. Nếu điều này xảy ra, bạn sẽ phát hiện ra rất nhanh chóng và bạn có thể chỉ cần xóa plugin khỏi trang web của mình.

Tuy nhiên, có một ngoại lệ đối với quy tắc này. Nếu plugin không được cập nhật trong hơn hai năm, có thể tác giả đã bỏ qua plugin. Đây là một plugin bạn không nên cài đặt. Nếu không có bản cập nhật, plugin có thể gây ra sự cố và bạn sẽ tự chịu rủi ro khi cài đặt nó.

Nếu plugin không hoạt động với phiên bản WordPress của bạn vì bạn đang sử dụng phiên bản cũ hơn, có thể đã đến lúc cập nhật. WordPress thường phát hành các phiên bản mới vì lý do bảo mật và các bản cập nhật khá quan trọng. Đảm bảo rằng bạn được cập nhật lên phiên bản WordPress mới nhất, sau đó thử sử dụng lại plugin.

Bạn có thể giúp những người dùng WordPress khác

Khi bạn cài đặt một plugin WordPress chưa được thử nghiệm với phiên bản WordPress của mình, bạn có thể giúp những người dùng khác. Nếu nó hoạt động tốt, hãy quay lại trang plugin tại WordPress.org, đăng nhập và đăng lên phần tương thích.

Bạn có thể giúp những người dùng WordPress khác

Chỉ cần chọn phiên bản WordPress bạn đang sử dụng, phiên bản plugin và nhấp vào nút “Hoạt động”. Sau đó, khi những người dùng WordPress khác truy cập vào trang và họ muốn biết liệu plugin có hoạt động hay không, họ có thể xem câu trả lời của bạn trong Phần Tương thích.

Xem thêm  Thương mại điện tử cho Youtube
Bạn có thể giúp những người dùng WordPress khác

Bạn nên làm gì nếu Plugin không hoạt động?

Nếu plugin không hoạt động, bạn không cần phải để lại nhận xét gay gắt cho tác giả. Hãy nhớ rằng, đây là những plugin miễn phí không có bảo hành hoặc đảm bảo. Tác giả đã rất tốt khi cung cấp plugin miễn phí, vì vậy không có lý do gì để tỏ ra gay gắt nếu nó không hoạt động.

Thay vào đó, chỉ cần mô tả vấn đề bạn đang gặp phải với plugin trong chuỗi hỗ trợ. Tác giả hoặc ai đó khác trong cộng đồng có thể phản hồi để trợ giúp về vấn đề này. Nếu không có ai phản hồi sau một vài tuần, hãy thử liên hệ với tác giả của plugin. Nếu bạn vẫn không nhận được phản hồi, bạn có thể bỏ phiếu trên trang plugin cho việc nó bị hỏng trong phần tương thích.

Sau khi bạn đánh dấu plugin là bị hỏng, bạn có thể tìm kiếm một plugin khác làm được điều tương tự hoặc điều gì đó tương tự. Thường có nhiều plugin có khả năng hoạt động giống nhau. Có thể không quá khó để tìm một plugin khác làm được điều tương tự và sẽ hoạt động với phiên bản WordPress của bạn.

Chỉ vì một plugin WordPress có cảnh báo do thiếu thử nghiệm, không có nghĩa là nó sẽ không hoạt động với bạn. Vẫn có thể sử dụng các plugin WordPress chưa được kiểm tra và chúng sẽ hoạt động thường xuyên. Tuy nhiên, nếu đã hai năm hoặc lâu hơn kể từ khi plugin được cập nhật, hãy cẩn thận khi sử dụng nó. 

Chat Facebook